<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template, $conf, $user;

include_once(PHPWG_ROOT_PATH . 'admin/include/functions_tabsheet.inc.php');
include_once(get_language_filepath('plugin.lang.php', meta_PATH));

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

//-------------------------------------------------------- sections definitions
// Gestion des onglets
if (!isset($_GET['tab']))
    $page['tab'] = 'gestion';
else
    $page['tab'] = $_GET['tab'];

$my_base_url = get_admin_plugin_menu_link(__FILE__);

$page['tabsheet'] = array(
    'gestion' => array('caption' => l10n('meta_onglet_gestion'), 'url' => add_url_params($my_base_url, array('tab' => 'gestion'))),
	'categorie' => array('caption' => l10n('meta_onglet_categorie'), 'url' => add_url_params($my_base_url, array('tab' => 'categorie'))),
    'description' => array('caption' => l10n('meta_onglet_description'), 'url' => add_url_params($my_base_url, array('tab' => 'description'))),
	);
$page['tabsheet'][$page['tab']]['selected']= true;
template_assign_tabsheet();

// Onglet gestion des meta
if ($page['tab'] == 'gestion')
{
$blockname = 'gestion.meta_option';    

$template->assign_block_vars(
	$blockname,
        array('VALUE' => '',
            'CONTENT' => $lang['meta_select2']
			));

$template->assign_block_vars(
  $blockname,
		array('VALUE'=> '',
			'CONTENT' => '------------',
			));

//charge la liste des meta
$groups = array();
$query = '
select id,metaname
  FROM ' . meta_TABLE . '
  ORDER BY metaname ASC;';
$result = pwg_query($query);

while ($row = mysql_fetch_array($result))
	{
  $groups[$row['id']] = $row['metaname'];
	}

foreach($groups as $metalist)
	{
  $selected = "";
  
  $template->assign_block_vars(
    $blockname,
    array(
      'VALUE' => $metalist,
      'CONTENT' => $metalist,
      'SELECTED' => $selected
      ));
	}

//edit de meta
if (isset($_POST['submitchoixmeta'])and (!$_POST['metalist'])==0 and !is_adviser())
	{
$lire=$_POST['metalist'];
	$query = '
select id,metaname,metaval
  FROM ' . meta_TABLE . '
  WHERE metaname = \''.$lire.'\'
  ;';
$result = pwg_query($query);

$row = mysql_fetch_array($result);
$chname=$row['metaname'];
$chval=$row['metaval'];

$blockedit='meta_edit';

  $selected2 = "";
  
  $template->assign_block_vars(
    $blockedit,
    array(
      'VALUE' => $chname,
      'CONTENT' => $chval,
      'SELECTED' => $selected2
      ));
	}

//insrtion de meta dans la table
if (isset($_POST['submitinsmeta']) and !is_adviser())
	{
	$query = '
UPDATE ' . meta_TABLE . '
  SET metaval= \''.$_POST['inser'].'\'
  WHERE metaname = \''.$_POST['invisible'].'\'
    ;';
$result = pwg_query($query);
	}
}

// Onglet gestion des meta categorie
if ($page['tab'] == 'categorie')
{
$blocknamec = 'gestion2.meta_cat';    

$template->assign_block_vars(
	$blocknamec,
        array('VALUE' => '',
            'CONTENT' => $lang['meta_select3']
			));

$template->assign_block_vars(
  $blocknamec,
		array('VALUE'=> '',
			'CONTENT' => '------------',
			));

//charge la liste des catgories
$groups = array();
$query = '
select id,name
  FROM ' . CATEGORIES_TABLE . '
  ORDER BY id ASC;';
$result = pwg_query($query);

while ($row = mysql_fetch_array($result))
	{
  $groups[$row['id']] = $row['id'].' : '.$row['name'];
	}
foreach($groups as $listid)
	{
  $selected = "";
  
  $template->assign_block_vars(
    $blocknamec,
    array(
      'VALUE' => $listid,
      'CONTENT' => $listid,
      'SELECTED' => $selected
      ));
	}
	
//edit de categorie
if (isset($_POST['submitchoixcat'])and (!$_POST['metacat'])==0 and !is_adviser())
	{
$lire=$_POST['metacat'];
	$query = '
select id,name,metaKeywords
  FROM ' . CATEGORIES_TABLE . '
  WHERE id = \''.$lire.'\'
  ;';
$result = pwg_query($query);

$row = mysql_fetch_array($result);
$idcat=$row['id'];
$chnamecat=$row['name'];
$chvalcat=$row['metaKeywords'];

$blockeditcat='cat_edit';

  $selected3 = "";
  
  $template->assign_block_vars(
    $blockeditcat,
    array(
      'VALUE' => $idcat,
	  'VALUEN' => $chnamecat,
      'CONTENT' => $chvalcat,
      'SELECTED' => $selected3
      ));
	}

//insrtion de meta de cat dans la table cat
if (isset($_POST['submitinscat']) and !is_adviser())
	{
	$query = '
UPDATE ' . CATEGORIES_TABLE . '
  SET metaKeywords= \''.$_POST['inser'].'\'
  WHERE id = \''.$_POST['invisible'].'\'
    ;';
$result = pwg_query($query);
	}
} 
 
// Onglet  description
if ($page['tab'] == 'description') {
$blockdesc = 'description';
$template->assign_block_vars(
	$blockdesc,
	array(
	  'meta'=>l10n('meta_name'),
	  ));
 }
 
$template->set_filename('plugin_admin_content', meta_PATH . 'admin/admin.tpl');
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');


?>